searchData={"items":[{"type":"module","title":"Trogon.Error","doc":"Universal Error Specification implementation for Elixir.\n\nThis module provides a `use` macro to define structured exceptions\nfollowing the Universal Error Specification ADR.","ref":"Trogon.Error.html"},{"type":"module","title":"Usage - Trogon.Error","doc":"defmodule MyApp.NotFoundError do\n      use Trogon.Error,\n        domain: \"com.myapp.mydomain\",\n        reason: \"not_found\",\n        message: \"The {resource} was not found\"\n    end","ref":"Trogon.Error.html#module-usage"},{"type":"module","title":"Creating Errors - Trogon.Error","doc":"MyApp.NotFoundError.new!(\n      metadata: %{resource: \"user\"}\n    )","ref":"Trogon.Error.html#module-creating-errors"},{"type":"macro","title":"Trogon.Error.__using__/1","doc":"Defines an error module with the given options.","ref":"Trogon.Error.html#__using__/1"},{"type":"macro","title":"Options - Trogon.Error.__using__/1","doc":"* `:domain` (`t:String.t/0`) - Required. The error domain identifying the service or component that generated the error\n\n* `:reason` (`t:String.t/0`) - Required. A unique identifier for the specific error within the domain\n\n* `:message` - The error message, either an atom that maps to a standard message or a custom string\n\n* `:metadata` (`t:map/0`) - Default metadata to be merged with runtime metadata. The default value is `%{}`.\n\n* `:code` - The standard error code The default value is `:unknown`.\n\n* `:visibility` - Whether the error should be visible to end users or kept internal The default value is `:internal`.\n\n* `:help` (`t:map/0`) - Help information with links to documentation\n\n  * `:links` (list of `t:map/0`)","ref":"Trogon.Error.html#__using__/1-options"},{"type":"type","title":"Trogon.Error.code/0","doc":"","ref":"Trogon.Error.html#t:code/0"},{"type":"type","title":"Trogon.Error.debug_info/0","doc":"","ref":"Trogon.Error.html#t:debug_info/0"},{"type":"type","title":"Trogon.Error.error_opts/0","doc":"","ref":"Trogon.Error.html#t:error_opts/0"},{"type":"type","title":"Trogon.Error.help/0","doc":"","ref":"Trogon.Error.html#t:help/0"},{"type":"type","title":"Trogon.Error.help_link/0","doc":"","ref":"Trogon.Error.html#t:help_link/0"},{"type":"type","title":"Trogon.Error.id/0","doc":"","ref":"Trogon.Error.html#t:id/0"},{"type":"type","title":"Trogon.Error.localized_message/0","doc":"","ref":"Trogon.Error.html#t:localized_message/0"},{"type":"type","title":"Trogon.Error.retry_info/0","doc":"","ref":"Trogon.Error.html#t:retry_info/0"},{"type":"type","title":"Trogon.Error.retry_info_duration/0","doc":"","ref":"Trogon.Error.html#t:retry_info_duration/0"},{"type":"type","title":"Trogon.Error.source_id/0","doc":"","ref":"Trogon.Error.html#t:source_id/0"},{"type":"type","title":"Trogon.Error.subject/0","doc":"","ref":"Trogon.Error.html#t:subject/0"},{"type":"type","title":"Trogon.Error.t/1","doc":"","ref":"Trogon.Error.html#t:t/1"},{"type":"type","title":"Trogon.Error.time/0","doc":"","ref":"Trogon.Error.html#t:time/0"},{"type":"function","title":"Trogon.Error.to_code_int/1","doc":"Converts an atom to an integer code.","ref":"Trogon.Error.html#to_code_int/1"},{"type":"function","title":"Examples - Trogon.Error.to_code_int/1","doc":"iex> Trogon.Error.to_code_int(:cancelled)\n    1\n    iex> err = TestSupport.Errors.InvalidCurrencyError.new!()\n    ...> Trogon.Error.to_code_int(err)\n    2","ref":"Trogon.Error.html#to_code_int/1-examples"},{"type":"function","title":"Trogon.Error.to_msg/1","doc":"","ref":"Trogon.Error.html#to_msg/1"},{"type":"function","title":"Trogon.Error.validate_options!/1","doc":"","ref":"Trogon.Error.html#validate_options!/1"},{"type":"type","title":"Trogon.Error.visibility/0","doc":"","ref":"Trogon.Error.html#t:visibility/0"},{"type":"extras","title":"Trogon.Error","doc":"# Trogon.Error","ref":"readme.html"},{"type":"extras","title":"Documentation - Trogon.Error","doc":"","ref":"readme.html#documentation"},{"type":"extras","title":"References - Trogon.Error","doc":"- [API Reference](api-reference.html)","ref":"readme.html#references"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"Unreleased - Changelog","doc":"- Initial release","ref":"changelog.html#unreleased"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}